Name:           python-zombie-imp
Version:        0.0.2
Release:        1%{?dist}
Summary:        A copy of the `imp` module that was removed in Python 3.12

License:        Python-2.0.1
URL:            https://github.com/encukou/zombie-imp
Source:         %{pypi_source zombie-imp}

Provides:       deprecated()

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-test

%global _description %{expand:
A copy of the imp module that was removed in Python 3.12.
This is a compat package to ease transition to Python 3.12.
It shouldn't be used and packages using `imp` module
should use `importlib.metadata` instead.}

%description %_description

%package -n python3-zombie-imp
Summary:        %{summary}

%description -n python3-zombie-imp %_description


%prep
%autosetup -p1 -n zombie-imp-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files zombie_imp


%check
%tox


%files -n python3-zombie-imp -f %{pyproject_files}
%doc README.*
%{python3_sitelib}/__pycache__/imp.cpython-*
%{python3_sitelib}/imp.py


%changelog
* Tue Jun 27 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 0.0.2-1
- Initial package

